
/*
 *
 * PowerShow
 * 
 * Copyright (C) 2002-2009 OfficeOne. All rights reserved.
 * 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using Microsoft.Office.Core;
using PowerPoint = Microsoft.Office.Interop.PowerPoint;

namespace PowerShow_SDK_Sample
{
    public partial class MainForm : Form
    {
        private int MonitorCount;

        private PowerPoint.Application PPTApp;

        [DllImport("PowerShw.dll")]
        public static extern int GetMonitorCount();

        public MainForm()
        {
            InitializeComponent();
        }

        private void EvaluateButtons()
        {
            StartShowCommand.Enabled = (PPT1Text.Text != "");
        }

        private void ExitCommand_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void MainForm_Load(object sender, EventArgs e)
        {
            int i;

            MonitorCount = GetMonitorCount();
            if (MonitorCount >= 2)
            {
                MonitorControlLabel.Text = "This system has " +
                    MonitorCount.ToString() + " monitors.";
            }
            else
            {
                MonitorControlLabel.Text = "This system has " +
                    MonitorCount.ToString() + " monitor.";
            }

            DisplayComboBox.Items.Clear();
            for (i = 0; i < MonitorCount; i++)
            {
                DisplayComboBox.Items.Add(i + 1);
            }
            DisplayComboBox.SelectedIndex = 0;
        }

        private void PPT1Text_TextChanged(object sender, EventArgs e)
        {
            EvaluateButtons();
        }

        private void StartShowsCommand_Click(object sender, EventArgs e)
        {
            PPTApp = new PowerPoint.Application();
            PPTApp.Visible = MsoTriState.msoTrue;

            object[] launch_params = new object[4] { PPT1Text.Text, 
                DisplayComboBox.SelectedIndex + 1,
                DisplayComboBox.SelectedIndex + 1,
                true };

            PPTApp.Run("PowerShow.ppa!PowerShowLaunchShow", ref launch_params);
        }

        private void SelectPPT1Command_Click(object sender, EventArgs e)
        {
            if (PPT1OpenFileDialog.ShowDialog(this) == DialogResult.OK)
            {
                PPT1Text.Text = PPT1OpenFileDialog.FileName;
                EvaluateButtons();
            }
        }
    }
}